tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mark Thomas <ma...@apache.org>
Subject Re: Migration to Subversion
Date Fri, 29 Jul 2005 22:30:22 GMT
Yoav Shapira wrote:
> 
>>Any and all comments appreciated. In particular:
>>a. Should more 3.x.x versions should be included in 4 & 5 above?
>>b. I have assumed that all releases before 5.5.x will use the 5.0 branch
>>of the connectors. Is this assumption valid?
> 
> I don't think so.  Some Tomcat 3.x versions, for example, already use the
> latest connectors that are also used by Tomcat 5.5.

That is fine as long as you build and run on a 1.4+ JDK but when checking for 
1.3 compatibility the Coyote/HTTP connector fails. The root cause is the use 
of the 1.4 regexp API in o.a.coyote.http11.Http11Processor 
(http://marc.theaimsgroup.com/?l=tomcat-dev&m=109403344007532&w=2).

Possible solutions:
1. Use the 5.0 branch
2. Revert the patch and go back to using jakarta-regexp
3. Introduce an o.a.coyote.http11.tomcat4 package and place a copy of 
Http11Processor in it that uses jakarta-regexp.

Pros/Cons
1. Would mean an awful lot of porting.
2. Quick but adds an unnecessary library to TC5 and leaves TC5 using two 
different regexp libs
3. Relatively quick but would need some build.xml tweaking for TC5

Unless anyone has a better idea, I'll crack on with 3 over the weekend.

On the Subversion front, I have TC4 building with jakarta-tomcat-connectors 
HEAD and will commit it once I have finished testing the various connector and 
JVM combinations (I don't plan to provide APR support in TC4). Once I have got 
this out of the way, I'll work with Henri on the test Watchdog migration.

Mark


---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-dev-help@jakarta.apache.org


Mime
View raw message